#include <fstream>
#include <math.h>

using namespace std;

int main()
{
	ifstream input;
	ofstream output;
	long long n;
	long long count = 1;

	input.open("doinp.inp");
	input >> n;
	input.close();

	while (n > pow(2, count))
	{
		count++;
	}
	count++;

	long long a[count];
	for (int i = 0; i < count; i++)
	{
		a[i] = n % 2;
		n /= 2;
	}
	output.open("doinp.out");
	for (int i = count - 1; i >= 0; i--)
	{
		output << a[i];
	}
	output.close();
	return 0;
}